<!DOCTYPE html>
<!-- saved from url=(0014)about:internet -->
<html>
<head>
    <meta charset="utf-8"/>
    <title>${workflow} - ${group} ${report_date} - Breeze Report</title>
    <style>
        <#include "bootstrap.css">
        <#include "sortable-theme-minimal-custom.css">
        <#include "style.css">
    </style>
    <script type="text/javascript">
        <#include "jquery-2.0.3.min.js">;
        <#include "sortable.js">;
        <#include "bootstrap.min.js">;
    </script>
</head>
<body>
<table class="container-table">
    <tr>
        <td class="main">
            <table class="header">
                <tr>
                    <td class="title">
                        <h1>${workflow} - ${group}</h1>
                        <span class="subtitle">Created ${report_date}</span>
                    </td>
                    <td class="logo">
                        <img class="logo" src="${img_logo}"/>
                    </td>
                </tr>
            </table>
            <table class="table sortable-theme-minimal" data-sortable>
                <thead>
                <tr>
                    <#list headers as header>
                        <th data-sortable="${header.sortable}" class="sortable cell-type-${header.type}"
                            colspan="${header.colspan}">${header.name}</th>
                    </#list>
                </tr>
                </thead>
                <#list rows as row>
                    <tr>
                        <#list row as cell>
                            <td class="cell-type-${cell.type}" data-value="${cell.sortValue}">
                                <#if cell.type == "thumbnail">
                                    <div class="cell-type-${cell.type} image-popup-link">${cell.value}</div>
                                    <div class="image-popup-content hidden">${cell.value}</div>
                                <#else>
                                    <div class="cell-type-${cell.type}">${cell.value}</div>
                                </#if>
                            </td>
                        </#list>
                    </tr>
                </#list>
            </table>
        </td>
    </tr>
</table>
<script type="text/javascript">
    $('.image-popup-link').popover({
        html: true,
        content: function () {
            return $(this).next('.image-popup-content').html();
        }
    });
    $('.image-popup-link').on('click', function (e) {
        $('.image-popup-link').not(this).popover('hide');
    });
    // little bootstrap bug fix - need to reset the clickstate when using method to hide
    // see https://github.com/twbs/bootstrap/issues/16732
    $('body').on('hidden.bs.popover', function (e) {
        $(e.target).data("bs.popover").inState.click = false;
    });
    // close popover on click outside -- courtesy of http://stackoverflow.com/a/15670200
    $('html').on('mouseup', function (e) {
        if (!$(e.target).closest('.popover').length) {
            $('.popover').each(function () {
                $(this.previousSibling).popover('hide');
            });
        }
    });
</script>
</body>
</html>
